OpenJPEG 2.5.0

Data Fields
opj_procedure_list Struct Reference

A list of procedures. More...

`#include <function_list.h>`

## Data Fields
OPJ_UINT32 | m_nb_procedures
| The number of validation procedures. More...
OPJ_UINT32 | m_nb_max_procedures
| The number of the array of validation procedures. More...
opj_procedure * | m_procedures
| The array of procedures. More...

## Detailed Description

A list of procedures.

## Field Documentation

## ◆ m_nb_max_procedures

OPJ_UINT32 opj_procedure_list::m_nb_max_procedures

The number of the array of validation procedures.

Referenced by opj_procedure_list_add_procedure(), and opj_procedure_list_create().

## ◆ m_nb_procedures

OPJ_UINT32 opj_procedure_list::m_nb_procedures

The number of validation procedures.

Referenced by opj_procedure_list_add_procedure(), opj_procedure_list_clear(), and opj_procedure_list_get_nb_procedures().

## ◆ m_procedures

opj_procedure* opj_procedure_list::m_procedures

The array of procedures.

Referenced by opj_procedure_list_add_procedure(), opj_procedure_list_create(), opj_procedure_list_destroy(), and opj_procedure_list_get_first_procedure().

The documentation for this struct was generated from the following file:

- function_list.h